<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\TeilnehmerDetails;

class TeilnehmerDetailsPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new TeilnehmerDetailsView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new TeilnehmerDetailsViewModel();
    $viewModel->toolSection = $this->useCaseResponse->toolSection;
    $viewModel->toolSettings = $this->useCaseResponse->toolSettings;
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->teilnehmer = $this->useCaseResponse->teilnehmer;

    return $viewModel;
  }
}